> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quno.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ranking

> Returns ranked brand visibility scores and breakdown for a given date range.



## OpenAPI

````yaml GET /api/v1/visibility/get_ranking
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://api.quno.ai
security:
  - bearerAuth: []
paths:
  /api/v1/visibility/get_ranking:
    get:
      description: >-
        Returns ranked brand visibility scores and breakdown for a given date
        range.
      parameters:
        - name: input_start_date
          in: query
          required: true
          schema:
            type: string
            format: date
          description: Start date in YYYY-MM-DD format
        - name: input_end_date
          in: query
          required: true
          schema:
            type: string
            format: date
          description: End date in YYYY-MM-DD format
        - name: input_model_name
          in: query
          required: true
          schema:
            type: string
            enum:
              - chatgpt
              - perplexity
              - google-overview
              - gemini
              - deepseek
              - claude
            description: The specific model to use for analysis
          description: Name of the model to use
      responses:
        '200':
          description: Ranking response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VisibilityBrandSummary'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    VisibilityBrandSummary:
      allOf:
        - $ref: '#/components/schemas/Brand'
        - type: object
          properties:
            visible_query_count:
              type: integer
              description: Total number of queries where brand was visible
            total_query_count:
              type: integer
              description: Total number of queries for the given filters
            percentage_difference:
              type: number
              format: float
              description: Percentage change within the date range.
            overall_visibility:
              type: number
              format: float
              description: Percent of visibility (visible / total queries)
            position:
              type: object
              description: >-
                Breakdown of mentions by position (1-10). They will sum up to
                visible_query_count.
              properties:
                '1':
                  type: integer
                '2':
                  type: integer
                '3':
                  type: integer
                '4':
                  type: integer
                '5':
                  type: integer
                '6':
                  type: integer
                '7':
                  type: integer
                '8':
                  type: integer
                '9':
                  type: integer
                '10':
                  type: integer
            sentiment:
              type: object
              description: >-
                Breakdown of sentiment counts. They will sum up to
                visible_query_count.
              properties:
                positive:
                  type: integer
                neutral:
                  type: integer
                negative:
                  type: integer
          required:
            - visible_query_count
            - total_query_count
            - percentage_difference
            - overall_visibility
            - position
            - sentiment
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Brand:
      type: object
      properties:
        brand:
          type: string
          description: Brand name
        brand_id:
          type: integer
          description: ID of the brand
        color:
          type: string
          description: Hex color for the brand
      required:
        - brand
        - brand_id
        - color
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````